import { createApp } from 'vue';
import App from './App.vue';
import router from './router';
import './styles/index.css';

import { NavBar, Button, Form, Field, CellGroup, Tabbar, TabbarItem, Icon, Toast, Row, Col, Tab, Tabs } from 'vant';
import 'vant/lib/index.css';
import store from './store';

createApp(App)
    .use(router)
    .use(NavBar)
    .use(Button)
    .use(Form)
    .use(Field)
    .use(CellGroup)
    .use(store)
    .use(TabbarItem)
    .use(Tabbar)
    .use(Icon)
    .use(Toast)
    .use(Row)
    .use(Col)
    .use(Tab)
    .use(Tabs)
    .mount('#app')